Skip to main content
`Ctrl`+`K`

# TSSetEventTolerances

Set tolerances for event (indicator function) zero crossings

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetEventTolerances(TS ts, PetscReal tol, PetscReal vtol[])

Logically Collective

## Input Parameters

- ts - time integration context

- tol - tolerance, `PETSC_CURRENT` to leave the current value

- vtol - array of tolerances or `NULL`, used in preference to `tol` if present

## Options Database Key

- -ts_event_tol <tol> - tolerance for event (indicator function) zero crossing

## Notes

One must call `TSSetEventHandler()` before setting the tolerances.

The size of `vtol` should be equal to the number of events on the given process.

This function can be also called from the `postevent()` callback set with `TSSetEventHandler()`, to adjust the tolerances on the fly.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSEvent`, `TSSetEventHandler()`

## Level

beginner

## Location

src/ts/event/tsevent.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages